Appender::TestBuffer(3)

NAME
Log::Log4perl::Appender::TestBuffer - Appender class for testing

SYNOPSIS
  use Log::Log4perl::Appender::TestBuffer;

  my $appender = Log::Log4perl::Appender::TestBuffer->new(
      name      => 'buffer',
      min_level => 'debug',
      );

      # Append to the buffer
  $appender->log_message(
      level =  > 'alert',
      message => "I'm searching the city for sci-fi wasabi\n"
      );

      # Retrieve the result
  my $result = $appender->buffer();

      # Reset the buffer to the empty string
  $appender->reset();

DESCRIPTION
This class is used for internal testing of "Log::Log4perl". It is a "Log::Dispatch"-style appender, which writes to a buffer in memory, from where actual results can be easily retrieved later to compare with expeced results.

SEE ALSO

AUTHOR
Mike Schilli, <m@perlmeister.com>